Bug 624410 - RFE: add test to man-pages for symlinks to nonexisting files
RFE: add test to man-pages for symlinks to nonexisting files
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 07:07 EDT by Ivana Varekova
Modified: 2016-11-30 19:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivana Varekova 2010-08-16 07:07:33 EDT
Description of problem:
man-pages can have a special type of links: e.g.
$ zcat /usr/share/man/man3/pclose.3.gz
.so man3/popen.3

The format of the page consists of tag ".so" and after this tag there is a path to the targeted man-page, relative to "/usr/share/man"

In this case "man" command display /usr/share/man/man3/popen.3(.gz) page.

If the page to which the .so link leads does not exist then the result of "man" command is an error message. It would be fine to have some test which show the man-pages which leads to nonexisting page - especially for man-page(-xy) packages.
Comment 1 Ville Skyttä 2010-08-19 10:45:48 EDT
I believe this would be doable with groff's soelim, patches welcome.
Comment 2 Fedora Admin XMLRPC Client 2010-12-07 16:18:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.